### Method

# Gsk Renderer realize

#### Declaration [src]

    gboolean
    gsk_renderer_realize (
      GskRenderer* renderer,
      GdkSurface* surface,
      GError** error
    )

#### Description [src]

Creates the resources needed by the `renderer` to render the scene graph.

#### Parameters

`surface` | `GdkSurface*`
| The `GdkSurface` renderer will be used on.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.